* {
	font-family: monospace;
}

::-webkit-scrollbar {
	width: 10px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
	background: #8e8e8e29;
  }
   
  /* Handle */
  ::-webkit-scrollbar-thumb {
	background: #b9b9b9; 
	border-radius:25px;
  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
	background: #737373; 
  }
  ::-webkit-scrollbar-button:single-button {
	background-color: transparent;
	display: block;
	border-style: solid;
	height: 13px;
	width: 16px;
  }
  /* Up */
  ::-webkit-scrollbar-button:single-button:vertical:decrement {
	border-width: 6px 5px;
	border-color: transparent transparent #c4c4c4cc transparent;
  }
  
  ::-webkit-scrollbar-button:single-button:vertical:decrement:hover {
	border-color: transparent transparent #555555 transparent;
  }
  /* Down */
  ::-webkit-scrollbar-button:single-button:vertical:increment {
	border-width: 6px 5px;
	border-color: #c4c4c4cc transparent transparent transparent;
  }
  
  ::-webkit-scrollbar-button:vertical:single-button:increment:hover {
	border-color:  #555555 transparent transparent transparent;
  }

html,
body {
	max-width: 100%;
	margin: auto;
	font-size: 20px;
	padding: 0px;
	height: 100%;
	width: 100%;
	position: relative;
	min-height: 100%;
}
#welcomeLayer {
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: 999;
    background-color: white;
    transition: 3s;
}
#welcomeLayer:hover {
	cursor: wait;
}
#welcomeLayer p {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  text-align: center;
  min-height: 80vh;
  font-size: 50px;
  font-weight: bolder;
  font-family: system-ui;
  font-style: oblique;
  color: #610000;
  text-shadow: 0px 0px 55px #b53838;
  opacity: 0;
  transition: 5s;
  user-select: none;
}

#zahlavi {
	width: 100%;
	height: 50px;
	background-color:#f1f1f1f1;
}

#Home {
	display: inline;
    margin-left: 100px;
    background-color: #ffffff;
    height: 100%;
    border-radius: 20px;
    padding: 10px 20px 10px 0px;
}

#Home img {
	width: 45px;
	height: 45px;
	position: absolute;
    margin: -30px 0px 0px 10px;    
}
#Home #name {
    width: auto;
    padding: 15px 0px 0px 60px;
    text-decoration: none;
    color: black;
    text-shadow: 0 1px black;
	font-weight: bold;
	text-align: center;
}
.fit {
	display: inline-block;
}


#browseFiles {
	margin-left:10px;
	outline:none;
	position:absolute;
	background-color:transparent;
	border:none;
	z-index: 10;
	-webkit-transition: background-color 0.3s;
    -moz-transition:    background-color 0.3s;
    -ms-transition:     background-color 0.3s;
    -o-transition:      background-color 0.3s;
    transition:         background-color 0.3s;
}
#browseFiles:hover {
	background-color:#3aaa0059;
}

#browseIcon:before {
    width: 100%;
    height: 100%;
	content: '\2630';
    font-size: 35px;
    vertical-align: middle;
}

#menu, #tableOfContent {
	position:fixed;
	display: block;
	background-color: #ffffffff;
	height: 100%;
	width: 400px;
	z-index: 10;
	box-shadow: 1px 2px 30px 1px #00000073;
}
#tableOfContent {
	z-index: 9;
	display:none;
	width: 300px;
	left: 100px;
	transition: 1s;
}
#contentOverview {
	padding: 0px 0px 10px 5px;
    overflow: hidden;
    text-align: center;
    color: #575757;
    box-shadow: 0px 5px 3px 0px #0000001c;
}
#contentOverview span {
	font-style: italic;
	font-size: smaller;
}
#contentOverview div {
	display: inline-block;
    margin-top: 10px;
}
#contentOverview div span {
	font-family: fangsong;
	font-style:inherit;
	color: #80808063;
}
#infrontPageId, #behindPageId {
	height: 20px;
	width: 20px;
	font-size: 20px;
	color: red;
	outline:none;
	box-shadow: 0px 0px 10px 10px #0000001c;
	border: none;
	background-color:transparent;
}
#saveNewPageId {
	display:block;
    margin-left: 15px;
    margin-top: 10px;
    border:none;
    outline:none;
    padding: 10px 10px;
    background-color:transparent;
    color: #575757;
    font-weight:bold;
}
#saveNewPageId:hover {
    box-shadow: 2px 2px 8px 1px #dadada;
}
#coverDiv-content {
	overflow-y:auto;
	overflow-x:hidden;
	height:75vh;
}
#menu h2 {
	padding-left: 20px;
	font-size: 20px;
}
#goBackButton, #next100search, #showContent {
	outline:none;
	display: inline-block;
	position:relative;
    font-weight: 600;
    font-family:inherit;
    top: 80px;
    background: transparent;
    border: 0;
    padding: 0;
    min-width: 0;
    height: auto;
    text-decoration: none;
    cursor: pointer;
    font-size: 15px;
    margin: 0px auto 14px 18px;
    color: #488900;
}
#goBackButton:disabled {
	color:rgb(138 138 138 / 64%);
	cursor:not-allowed;
}
#goBackButton:disabled:hover > span,  #next100search:disabled:hover > span, #showContent:disabled:hover > span{
    text-decoration:none;
}
#goBackButton:hover > span, #next100search:hover > span, #showContent:hover > span {
	text-decoration:underline;
}

#goBackButton div, #next100search div, #showContent div  {
	display:inline-block;
	font-size: 15px;
    margin-right: 5px;
}

#next100search{
	color:#4a4aaf;
    margin-left: -220px;
	transition: 1s;
}

#showContent {
	display: none;
    position:inherit;
    margin-left: 150px;
    color: #881010;
}
#showContent div {
    transition: 1s;
}
#filesPlusContent {
    width: 100%;
    display:inline-flex;
}
#headerMenu {
	background-color:transparent;
	height:160px;
	width:100%;
}

#headerMenu #searchFilesBox{
	margin-top: 85px;
	margin-left: 20px;
	border:none;
	border-radius:5%;
	box-shadow: 0px 5px 5px 1px #e5e5e5;
	width:350px;
}
#headerMenu #searchFilesBox:hover {
	box-shadow: 0px 10px 15px 1px #e5e5e5;
}
#headerMenu input[type=text] {
	padding: 6px;
	font-size: 17px;
	border: none;
	width:302px;
	outline:none;
}
  
#headerMenu #searchFilesBox button {
	color: #474747;
	float: left;
	padding: 6px 10px;
	background: transparent;
	font-size: 17px;
	border: none;
	cursor: pointer;
	outline:none;
	-ms-transform: rotate(90deg); /* IE 9 */
      transform: rotate(90deg);
  }
  
#headerMenu #searchFilesBox button:hover {
	background: #ccc;
  }
.menuHeading span {
	font-size: 12px;
	font-style:italic;
	display:block;
	font-weight: 500;
}
#folderMenu ,#fileMenu{
	overflow-y:auto;
	display: block;
    height: 150px;
    margin-left:20px;
}
#fileMenu{
    height:36vh;
}
.noFileMessage {
	font-size: smaller;
	font-style: italic;
	color: #575858;
    padding: 10px 0px 0px 50px;
}
.noFileMessage i {
	font-size: 12px;
	display:block;
	text-align:center;
	padding-top: 25px;
    margin-left: -15px;
    width:250px;
    color: #9e0000;
}
@media screen and (max-height: 700px) {
    #fileMenu{
        height:28vh;
    }
    #coverDiv-content {
        height: 75vh
    }
}
@media screen and (max-height: 620px) {
    #fileMenu{
        height:23vh;
    }
    #coverDiv-content {
        height: 65vh
    }
}

.divFolder, .divFolder-search, .divFolder-content {
	display: inline-flex;
	height: 35px;
	width: 150px;
	margin-top: 10px;
    margin-left: 5%;
    color: rgb(87, 87, 87);
}
.divFolder-search {
    height: 50px;
    width: 170px;
}
.divFolder-content {
	width: 265px;
	height: 100px;
}

.folderName, .folderName-search, .folderName-content {
	display:block;
	height:100%;
	width:100%;
	position: relative;
	padding-left: 30px;
    padding-top: 8px;
	cursor: pointer;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
	font-size: smaller;
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
.folderName-search span:nth-child(3) {
	color:green;
	font-style:italic;
	background-color: transparent;
    position:absolute;
    border-top: solid #00000014 1px;
    border-bottom: solid #00000014 1px;
    width: 200px;
    margin-left: -30px;
}

.folderName-content > span {
    font-weight: bold;
    font-size: 30px;

}

.folderName-content div {
    border-top: solid #00000014 1px;
    margin-top: 10px;
    margin-left: -30px;
}
.folderName-content div span:nth-child(1) {
    font-weight: bold;
}
.folderName-content div span:nth-child(3) {
    font-style:italic;
    font-size:smaller;
}


.folderName input, .folderName-search input, .folderName-content input {
	opacity: 0;
    position: absolute;
    left:0;
    cursor: pointer;
    color: #d8f2fdb7;
}

.folderIcon {
	position: absolute;
	left: 0;
	top: 0;
	height: auto;
	width: 25px;
	padding-top:2px;
}

.folderName-content .folderIcon {
	top: 10px
}

#userInfo {
	height: 100%;
	width: auto;
	vertical-align: middle;
	float: right;
}

#userName {
	vertical-align: top;
	font-family: monospace;
	font-size: smaller;
    font-weight: bold;
}

#userEmail{
	font-family: monospace;
	font-size: small;
	margin-left: -165px;
	vertical-align: middle;
}

#userImg {
	border: transparent solid 5px;
	cursor: pointer;
	height: auto;
	width: 45px;
	border-radius: 50%;
	vertical-align: middle;
}

#userImg:hover {
	transition: 0.4s;
	border: #2b2b2b2e solid 5px;
}

#settings {
	display: none;
	position: absolute;
	width: 200px;
    box-shadow: #0000001a -2px 10px 8px 5px;
    margin-top: 6px;
	border-radius: 10px 0px 10px 10px;
	border: solid #ff000014 0.5px;
	right: 0;
    padding: 15px 20px 20px 20px;
	height: auto;
	text-align:center;
	background-color: ghostwhite;
	z-index: 100;
}
.settingsOption {
	padding: 10px 0px 10px 0px;
	width: 100%;
}

.settingsOption:first-child span {
    font-size: 14px;
    font-family: inherit;
    font-weight: bold;
    font-style: italic;
}
.settingsOption:first-child > span:first-of-type {
    color: red;
    text-shadow: 0px 0px 10px #ff7676;
}

#switch {
  position: relative;
  display: inline-block;
  width: 53px;
  height: 27px;
}

#switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

#slider {
  position: absolute;
  outline: none;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  border-radius: 34px;
  -webkit-transition: .4s;
  transition: .4s;
}

#slider:before {
  position: absolute;
  content: "";
  height: 19px;
  width: 18px;
  left: 4px;
  bottom: 4px;
  background-color: red;
  border-radius: 50%;
  -webkit-transition: .4s;
  transition: .4s;
}

#switch input:checked + #slider{
  background-color: red;
}

#switch input:checked + #slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
  background-color: #ccc;
  
}

#logout {
	width: 80%;
	height: 35px;
	border: none;
	box-shadow: #00000045 0px 5px 20px 1px;
    transition: 1s;
    font-size: 15px;
    font-weight: bold;
    color: #660000;
}

#logout:hover {
    background-color: #ef02024f;
}

#logout:active {
    background-color: #ef02027d;
}
.wrapper {
	display: flex;
	height: auto;
	user-select: none;
}

.box {
	box-sizing: border-box;
	flex: 1 1 auto;
	width: 50%;
	overflow: hidden;
	position: relative;
}
#jpg {
	height: auto;
}

#text {
	min-height: 640px;
	max-height: 100%;
	flex-shrink: 100;
	min-width: 0;
	width:100%;
}

#textNotFoundBox {
	width: 100%;
	height: 100%;
	background: radial-gradient(circle, #80808094, #d1cfcf63, white, white);
    text-align:center;
}

#textNotFoundBox img {
	width: 150px;
	height: 150px;
    margin-top: 100px;
}

#textNotFoundBox div p {
	font-weight: bolder;
}

#textNotFoundBox > p {
    font-style:italic;
    font-size: small;
    color: #323232;
    margin-top: 5px;
}

#textNotFoundBox button {
	outline: none;
	border: none;
	border-radius: 2px;
	width: 200px;
	height: 50px;
	background-color: #ffffff4f;
	box-shadow: gray 0px 5px 20px 1px;
    transition: 1s;
    font-size: 20px;
    font-weight: bold;
    color: #660000;
}

#textNotFoundBox button:hover {
    background-color: #ef02024f;

}
#textNotFoundBox button:active {
    background-color: #8b0000bd;
    transition: 0s;
}

#translateBtnLoader {
	display: inline-flex;
}
#loader {
	margin-left: 220px;
	display: none;
    position: absolute;
  border-radius: 50%;
  border: 5px solid transparent;
  border-top: 5px dotted darkred;
  border-bottom: 5px dotted darkred;
  width: 35px;
  height: 35px;
  -webkit-animation: spin 2s linear infinite; /* Safari */
  animation: spin 1s linear infinite;
}

@-webkit-keyframes spin {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

#txt {
	outline:none;
	overflow-y: auto;
	overflow-x: hidden;
	width: 100%;
	height: 100%;
	background-color: transparent;
	margin: 0;
	border: none;
}

mark {
	background-color: #c1f755;
	border-color: #abd459;
	border-radius: 3px;
}

.handler {
	padding: 0;
	width: 15px;
	flex: 0 0 auto;
	background: #848484;
	z-index: 5;
}
.handler:active {
	box-shadow: 0px 5px 10px 5px rgb(0 0 0 / 34%);
}
#blanket {
	position: absolute;
	width: 100%;
	height: 100%;
	flex: 0 0 auto;
	background-color: #b8b8b800;
	display:block;
}
#separator:hover {
	cursor: w-resize;
}
#picture {
	cursor:zoom-in;
}
img {
	width: 100%;
	height: 100%;
}

.magnifier {
	background-color: transparent;
	position: absolute;
	background-repeat: no-repeat;
	cursor: pointer;
	overflow: hidden;
	outline: none;
	border-radius: 30px;
}

#magnify {
	-webkit-appearance: none;
	background-color: transparent;
	margin-left: -4px;
	margin-top: 20px;
	height: 30px;
	width: 27.5px;
	padding-left: 5px;
	padding-top: 4px;
}

#magnify:not(:checked):after {
	content: '\01F50D';
	font-size: 14px;
}

#magnify:checked:after {
	content: '';
}

#zoom-out {
	width: 22px;
	height: auto;
	margin-top: 47px;
}

#zoom-in {
	width: 22px;
	height: auto;
}

#img-magnifier-glass {
	display: block;
	position: absolute;
	box-shadow: 20px 20px 50px black;
	cursor: none;
	width: 200px;
	height: 200px;
	box-sizing: border-box;
	border-radius: 500px;
}

#searchResultCoverDiv {
	box-shadow: 0px -5px 30px 5px #0000008c;
	background-color:ghostwhite;
	transition: 2s;
	border-radius: 30px;
	user-select:none;
	position: fixed;
    display: flex;
    width: 400px;
    height: 80%;
    right: -600px;
    bottom: 48px;
}

#viewSearchResult {
    width:100%;
    height: 90%;
    opacity: 1;
    position: absolute;
}
#searchResultHeader {
    border-radius: 50px 50px 0px 0px;
	width: 100%; 
	height: 70px;
	overflow:hidden;
    font-size: 10px;
    text-align: center;
    font-family: monospace;
    color: #575757;
    box-shadow: 0px 5px 3px 0px #0000001c;
}
#searchResultHeader h2 span {
    color:red;
    font-weight: bolder;
}

#searchResults{
	background-color:transparent;
    overflow-y:auto;
	width: 100%;
	height: 87%;
}

#searchTextBox {
	z-index: 10;
	background-color: white;
	margin-top: auto;
	border-radius:50px;
	box-shadow: 0px 5px 5px 1px #e5e5e5;
}
#searchTextBox:hover {
	box-shadow: 0px 10px 15px 1px #e5e5e5;
}
#searchTextBox input[type=text] {
	padding: 6px;
	font-size: 17px;
	margin-left: -3px;
	border: none;
	border-radius: 0px 50px 50px 0px;
	width:309px;
	outline:none;
}

#searchTextBox button {
	color: #474747;
	float: left;
	padding: 6px 8px;
	background: transparent;
	font-size: 17px;
	border: none;
	border-radius: 0px 0px 50px 50px;
	cursor: pointer;
	outline:none;
	-ms-transform: rotate(90deg);
      transform: rotate(90deg);
  }

  #searchTextBox button:hover {
	background: #ccc;
  }

#searchInTheTexts-coverDiv {
	user-select:none;
	position: fixed;
    display: flex;
    background-color: gray;
    border-radius: 50px 50px 50px 50px;
    width: 50px;
    height:50px;
    right: 20px;
    bottom: 40px;
}

#searchInTheTexts-middleDiv {
	user-select:none;
    animation: drips 0.2s ease-in-out;
    transform-origin: center center;
    width: 100%;
	height: 100%;
}
#searchInTheTexts-Div {
	user-select:none;
    cursor: pointer;
    z-index: 2;
    border: none;
    box-shadow: none;
}
#bundle-icon {
	user-select:none;
	transition: 3s;

}
#bundle-icon:hover {
	transform: rotate(360deg);
}

#rightClickMenu {
	display: none;
	position: fixed;
	background-color:white;
	box-shadow: 5px 2px 10px 2px gray;
	border-radius: 0px 25px 25px 25px;
	border:none;
	z-index: 100;
	height: auto;
    font-weight: 550;
	font-size: 15px;
	color: #575858;
	overflow:hidden;
	user-select:none;
	cursor:pointer;
}

.rightClickMenu-option {
    padding: 5px 10px 10px 10px;
}
.rightClickMenu-option:hover {
    background-color:#cacaca9e;
}

/*--------------------------------------------------------------------*/
/*index.html: */
#heading {
	width: 100%;
	height: auto;
	overflow: auto;
	text-align: center;
	padding: 0px 0px 50px 0px;
	background-color: transparent;
}
#appName {
    margin: 20px 20px;
	display: inline-block;
	box-shadow: 0px 0px 5px 10px;
	border-radius: 10px 10px 100px 100px;
	background-color: transparent;
}
#appIcon {
}
#name {
	padding: 5px 5px 0px 5px;
	width: 250px;
	text-shadow: 0 1px black;
	font-weight: bold;
	text-align: center;
}

#authorize_button {
	border: none;
	border-radius: 8px;
	padding: 10px 20px;
	background-color: #5433ff;
	color: #f3f4f6;
	font-size: large;
	font-weight: bold;
    box-shadow: 0px 0px 10px 5px #00000052;
    transition: .4s box-shadow;
}
#authorize_button:active {
    color: black;
}
#authorize_button:hover {
    box-shadow: 0px 0px 0px 5px #00000052;
}